import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import vueJsx from "@vitejs/plugin-vue-jsx";
import * as path from "path";
import monacoEditorPlugin from "vite-plugin-monaco-editor";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), vueJsx(), monacoEditorPlugin({})],
  resolve: {
    alias: {
      "@": path.resolve(__dirname, "./src/"),
      "@meta2d": path.resolve(__dirname, "../meta2d.js/packages"),
    },
  },
  build: {
    outDir: "v",
  },
  server: {
    proxy: {
      "/image": "https://2d.le5le.com/",
      "/file": "https://2d.le5le.com/",
      "/api": "https://2d.le5le.com/",
    },
  },
});
